Package javax.help

# Interface TreeItemFactory

All Known Implementing Classes:
  `FavoritesView.DefaultFavoritesFactory`, `IndexView.DefaultIndexFactory`, `TOCView.DefaultTOCFactory`

public interface TreeItemFactory
A factory for creating TreeItems. This can be used to reuse the parsers.

## Method Summary

Modifier and Type
Method
Description
`TreeItem`
`createItem()`
Creates a default TreeItem.
`TreeItem`
`createItem(String tagName, Hashtable attributes, HelpSet hs, Locale locale)`
Creates a TreeItem from the given data.
`Enumeration`
`listMessages()`
Lists all the error messages.
`DefaultMutableTreeNode`
`parsingEnded(DefaultMutableTreeNode node)`
Ends parsing.
`void`
`parsingStarted(URL source)`
Starts parsing.
`void`
`processDOCTYPE(String root, String publicID, String systemID)`
Processes a DOCTYPE.
`void`
`processPI(HelpSet hs, String target, String data)`
A Processing Instruction.
`void`
`reportMessage(String msg, boolean validParse)`
Reports a parsing error.

## Method Details

### parsingStarted

void parsingStarted(URL source)
Starts parsing.

Parameters:
  `source` - The URL of the document being parsed.

### processDOCTYPE

void processDOCTYPE(String root, String publicID, String systemID)
Processes a DOCTYPE.

Parameters:
  `root` - The root tag of the document.
  `publicID` - PublicID from the DOCTYPE.
  `systemID` - SystemID from the DOCTYPE.

### processPI

void processPI(HelpSet hs, String target, String data)
A Processing Instruction.

Parameters:
  `target` - The target of the PI.
  `data` - A String for the data in the PI.

### createItem

TreeItem createItem(String tagName, Hashtable attributes, HelpSet hs, Locale locale)
Creates a TreeItem from the given data.

Parameters:
  `tagName` - The name of the tag (for example, treeItem, or tocItem)
  `attributes` - A hashtable with all the attributes. Null is a valid value.
  `hs` - A HelpSet that provides context.
  `lang` - The locale.
Returns:
  A TreeItem.

### createItem

TreeItem createItem()
Creates a default TreeItem.

Returns:
  A TreeItem

### reportMessage

void reportMessage(String msg, boolean validParse)
Reports a parsing error.

Parameters:
  `msg` - The message to report.
  `validParse` - Whether the result of the parse is still valid.

### listMessages

Enumeration listMessages()
Lists all the error messages.

### parsingEnded

DefaultMutableTreeNode parsingEnded(DefaultMutableTreeNode node)
Ends parsing. Last chance to do something to the node. Return null to be sure the result is discarded.